| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
WirelessFrame Class Reference

Toolbar frame that exposes 802.11 wireless interface controls — channel, channel type, and FCS settings — for the selected capture interface during a live capture session. More...

`#include <wireless_frame.h>`

Inheritance diagram for WirelessFrame:

## Public Slots
void | handleInterfaceEvent (const char *ifname, int added, int up)
| Responds to a network interface being added, removed, or brought up/down.

## Signals
void | showWirelessPreferences (const QString wlan_module_name)
| Emitted when the user clicks the preferences button, requesting that the WLAN preferences page be opened.

## Public Member Functions
| WirelessFrame (QWidget *parent=0)
| Constructs the WirelessFrame toolbar.
| ~WirelessFrame ()
| Destroys the frame and releases interface resources.
void | setCaptureInProgress (bool capture_in_progress)
| Updates widget enabled states based on whether a capture is running.

## Protected Member Functions
void | timerEvent (QTimerEvent *event) override
| Polls for interface availability when the interface-detection timer fires.

## Detailed Description

Toolbar frame that exposes 802.11 wireless interface controls — channel, channel type, and FCS settings — for the selected capture interface during a live capture session.

## Constructor & Destructor Documentation

## ◆ WirelessFrame()

WirelessFrame::WirelessFrame | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs the WirelessFrame toolbar.

Parameters

  parent | Optional parent widget.

## Member Function Documentation

## ◆ handleInterfaceEvent

void WirelessFrame::handleInterfaceEvent | ( | const char * | ifname,
|  | int | added,
|  | int | up )
| slot

Responds to a network interface being added, removed, or brought up/down.

Parameters

  ifname | Name of the interface that changed.
  added | Non-zero if the interface was added; zero if removed.
  up | Non-zero if the interface is now up; zero if down.

## ◆ setCaptureInProgress()

void WirelessFrame::setCaptureInProgress | ( | bool | capture_in_progress | ) |

Updates widget enabled states based on whether a capture is running.

Parameters

  capture_in_progress | `true` while a live capture is active.

## ◆ showWirelessPreferences

void WirelessFrame::showWirelessPreferences | ( | const QString | wlan_module_name | ) |
| signal

Emitted when the user clicks the preferences button, requesting that the WLAN preferences page be opened.

Parameters

  wlan_module_name | The preferences module name for the WLAN dissector.

## ◆ timerEvent()

void WirelessFrame::timerEvent | ( | QTimerEvent * | event | ) |
| override protected

Polls for interface availability when the interface-detection timer fires.

Parameters

  event | The timer event; checked against iface_timer_id_.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/wireless_frame.h
- /builds/wireshark/wireshark/ui/qt/wireless_frame.cpp